summaryrefslogtreecommitdiffstats
path: root/development/apache-ant
diff options
context:
space:
mode:
author Dugan Chen <dugan_c@fastmail.fm>2010-05-11 20:00:21 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:21 +0200
commit8307fc209b0db590bc49a9405a3b2078482a6100 (patch)
treeef18ffae7e693586331fc60ba9009e0507d0ce3e /development/apache-ant
parent861f19c444b88428ee72c808de6a08d2bacef9fe (diff)
downloadslackbuilds-8307fc209b0db590bc49a9405a3b2078482a6100.tar.gz
slackbuilds-8307fc209b0db590bc49a9405a3b2078482a6100.tar.xz
development/apache-ant: Added to 12.0 repository
Diffstat (limited to 'development/apache-ant')
-rw-r--r--development/apache-ant/README6
-rw-r--r--development/apache-ant/apache-ant.SlackBuild39
-rw-r--r--development/apache-ant/apache-ant.info8
-rw-r--r--development/apache-ant/profile.d/apache-ant.csh3
-rw-r--r--development/apache-ant/profile.d/apache-ant.sh3
-rw-r--r--development/apache-ant/slack-desc19
6 files changed, 78 insertions, 0 deletions
diff --git a/development/apache-ant/README b/development/apache-ant/README
new file mode 100644
index 0000000000..8b0cbb02bd
--- /dev/null
+++ b/development/apache-ant/README
@@ -0,0 +1,6 @@
+Apache Ant is a Java-based build tool - like make, but without make's
+wrinkles. :-)
+
+Ant is extended using Java classes. The configuration files are XML- based,
+calling out a target tree where tasks get executed. Each task is run by an
+object that implements a Task interface.
diff --git a/development/apache-ant/apache-ant.SlackBuild b/development/apache-ant/apache-ant.SlackBuild
new file mode 100644
index 0000000000..3e025bc607
--- /dev/null
+++ b/development/apache-ant/apache-ant.SlackBuild
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# Slackware build script for Apache Ant
+# Written by Dugan Chen (dugan_c@fastmail.fm)
+
+set -e
+
+PRGNAM=apache-ant
+VERSION=1.7.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt/$PRGNAM $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-bin.tar.bz2
+cd $PRGNAM-$VERSION
+cp -a bin lib etc $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/etc/profile.d/
+cp $CWD/profile.d/* $PKG/etc/profile.d/
+chmod 0755 $PKG/etc/profile.d/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL KEYS LICENSE.dom LICENSE.sax LICENSE.xerces NOTICE README \
+ WHATSNEW docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/apache-ant/apache-ant.info b/development/apache-ant/apache-ant.info
new file mode 100644
index 0000000000..8d89ebf833
--- /dev/null
+++ b/development/apache-ant/apache-ant.info
@@ -0,0 +1,8 @@
+PRGNAM="apache-ant"
+VERSION="1.7.0"
+HOMEPAGE="http://ant.apache.org/"
+DOWNLOAD="http://apache.mirror.rafal.ca/ant/binaries/apache-ant-1.7.0-bin.tar.bz2"
+MD5SUM="6df38ed01474d6e7c1570d2d8cb5c110"
+MAINTAINER="Dugan Chen"
+EMAIL="dugan_c@fastmail.fm"
+APPROVED="rworkman"
diff --git a/development/apache-ant/profile.d/apache-ant.csh b/development/apache-ant/profile.d/apache-ant.csh
new file mode 100644
index 0000000000..d487656f03
--- /dev/null
+++ b/development/apache-ant/profile.d/apache-ant.csh
@@ -0,0 +1,3 @@
+#!/bin/csh
+setenv ANT_HOME /opt/apache-ant
+setenv PATH ${PATH}:${ANT_HOME}/bin
diff --git a/development/apache-ant/profile.d/apache-ant.sh b/development/apache-ant/profile.d/apache-ant.sh
new file mode 100644
index 0000000000..db8a244ac9
--- /dev/null
+++ b/development/apache-ant/profile.d/apache-ant.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+export ANT_HOME=/opt/apache-ant
+export PATH=$PATH:$ANT_HOME/bin
diff --git a/development/apache-ant/slack-desc b/development/apache-ant/slack-desc
new file mode 100644
index 0000000000..559e8c1f65
--- /dev/null
+++ b/development/apache-ant/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+apache-ant: Apache Ant (Java-based build tool)
+apache-ant:
+apache-ant: Apache Ant is a Java-based build tool - like make but without
+apache-ant: make's wrinkles.
+apache-ant:
+apache-ant: Ant is extended using Java classes. The configuration files are
+apache-ant: XML-based, calling out a target tree where tasks get executed.
+apache-ant: Each task is run by an object that implements a Task interface.
+apache-ant:
+apache-ant: Homepage: http://ant.apache.org/
+apache-ant: